let init () = 
  Sdl.init ~auto_clean:true [`VIDEO] ;
  Sdlvideo.set_video_mode 256 256 []


let svgs = [
  "tetris1.svg" ; "tetris2.svg" ; 
  "tetris3.svg" ; "tetris4.svg" ; "tetris5.svg" ; ]

let display surfs = 
  let scr = Sdlvideo.get_video_surface () in
  let blackp = Sdlvideo.map_RGB scr Sdlvideo.black in
  List.iter
    (fun src ->
      Sdlvideo.fill_rect scr blackp ;
      Sdlvideo.blit_surface ~src ~dst:scr () ;
      Sdlvideo.update_rect scr ;
      Sdltimer.delay 500 )
    surfs

let do_stuff svgs =
  let surfs = List.map 
      (fun fname -> 
	Rsvg.render_from_file 
	  ~size_cb:(Rsvg.at_zoom_with_max 3. 3. 256 256) 
	  fname) svgs in
  display surfs

let _ = 
  let _ = init () in
  
  do_stuff svgs ;
  Sdltimer.delay 1000 ;
  prerr_endline "attention" ;
  Gc.full_major () ;
  prerr_endline "fini"
